import { async, ComponentFixture, TestBed } from "@angular/core/testing";

import { ArbitrationsComponent } from "./arbitrations.component";
import { By } from "@angular/platform-browser";
import { RouterLinkWithHref } from "@angular/router";
import { RouterTestingModule } from "@angular/router/testing";

describe("ArbitrationsComponent", () => {
  let component: ArbitrationsComponent;
  let fixture: ComponentFixture<ArbitrationsComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [ArbitrationsComponent],
      imports: [RouterTestingModule]
    }).compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(ArbitrationsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(component).toBeTruthy();
  });

  it("Debe de tener un link a la página root", () => {
    const elementos = fixture.debugElement.queryAll(
      By.directive(RouterLinkWithHref)
    );

    // console.log( elementos );

    let existe = false;

    for (const elem of elementos) {
      if (elem.attributes["ng-reflect-router-link"] === "/") {
        existe = true;
        break;
      }
    }

    expect(existe).toBeTruthy();
  });
});
